Release 0.4.0

Today I released version 0.4.0 of HSMM-Pi. It’s mostly a bug-fix release that addresses a couple of critical issues.

The most significant issue is #23, which is the result of a command in the HSMM-Pi installation script that ugprades all existing packages on the base Raspbian image.  At some point, this upgrade step began to include updates that break HSMM-Pi (namely WiFi adapter support and OLSRD).  I removed the upgrade command, so only new packages that are required for HSMM-Pi are installed.  An added benefit is that the installation will be faster.  I tested HSMM-Pi with Raspbian 2013-09-10 (http://ftp.jaist.ac.jp/pub/raspberrypi/raspbian/images/raspbian-2013-09-16/) and verified that it worked as expected.

Another issue (#33) is compatibility with Broadband Hamnet v.1.1.2.  The BBHN distribution has begun to use the OLSRD secure plugin with a key that doesn’t pass validation when entered into the HSMM-Pi web interface.  I relaxed the validation rules so that the BBHN key can be used, and verified that the HSMM-Pi nodes all showed up on the BBHN node (and vice-versa).  The default BBHN secure key is gBpRdG7Crp5by9xw

The Google Plus group for the project has been very active, so I strongly recommend sending any questions there.  Any issues should be filed on the Github project.

Thanks again for all of your interest & support!

Advertisements